Update an employee [DEPRECATED: Use update an account route] Run in API Explorer
Ask AI
Body
-
The first name of the employee.
-
The last name of the employee.
-
The email of the employee. Required when with_login is present.
-
Denotes if the employee needs a billable login.
-
The uuid of the senior employee that the employee directly reports to
-
The role of the employee.
-
The departments the employee is part of
-
Adviser split
-
Group UUIDs to sync employee to. Null can be provided to clear an employees groups
-
Employee's RMAR advice type
Value Description independent Independent restricted Restricted Values are
independentorrestricted.
PUT
/api/v1/employee/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/employee/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"first_name":"Gareth","last_name":"Thompson","email":"gareth.thompson@plannrcrm.com","with_login":true,"assigned_adviser_uuid":"56c5323c-4204-4517-8224-2b9892dcd326","role":"owner","departments":["paraplanner","adviser"],"adviser_split_uuid":"b4ea62fd-eb0c-4a3d-ad69-d60b8dba80bb","groups":["600fffd7-8149-4316-b28d-596c0cca2fb5","68c568d0-064f-49c0-925b-aecc31c2504b","7d34486c-334f-4e37-bd11-eae1e142e60a"],"advice_type":"independent"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"first_name": "Gareth",
"last_name": "Thompson",
"email": "gareth.thompson@plannrcrm.com",
"with_login": true,
"assigned_adviser_uuid": "56c5323c-4204-4517-8224-2b9892dcd326",
"role": "owner",
"departments": [
"paraplanner",
"adviser"
],
"adviser_split_uuid": "b4ea62fd-eb0c-4a3d-ad69-d60b8dba80bb",
"groups": [
"600fffd7-8149-4316-b28d-596c0cca2fb5",
"68c568d0-064f-49c0-925b-aecc31c2504b",
"7d34486c-334f-4e37-bd11-eae1e142e60a"
],
"advice_type": "independent"
}
Response examples (200)
{
"firm": {
"tax": 17.5,
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"name": "Codepotato",
"slug": "codepotato",
"uuid": "e62342f6-756d-4d1e-a919-dda86a155025",
"county": "Hampshire",
"billing": {
"invoice_email": "gareth@codepotato.co.uk",
"invoice_county": "Hampshire",
"invoice_country": "United Kingdom",
"invoice_postcode": "PO7 7YH",
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville"
},
"country": "United Kingdom",
"postcode": "PO7 7YH",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"month_end": 25,
"town_city": "Waterlooville",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"brand_colours": {
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"email_sub_text": "#FFFFFF",
"sidebar_accent": "#36367E",
"sidebar_active": "#53DBB8",
"email_background": "#0E0E56",
"email_button_text": "#FFFFFF",
"portal_background": "#F6F6F6",
"portal_brand_title": "#323B4B",
"sidebar_background": "#0E0E56",
"portal_sidebar_icon": "#828994",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_title": "#11151D",
"sidebar_title_primary": "#FFC634",
"portal_brand_sub_title": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"email_button_background": "#36367E",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_background": "#36367E",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_icon_active": "#828994",
"portal_sidebar_text_active": "#323B4B",
"email_logo_background_panel": "#36367E",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_button_active": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"regulatory_text": "Regulatory text",
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"addon_subscriptions": "App\\Http\\Resources\\Addons\\AddonSubscriptionResource",
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"statement_frequency": "monthly",
"task_board_template": "App\\Http\\Resources\\Board\\BoardResource",
"keep_deleted_files_for": 30,
"reply_to_email_address": "jack@example.com",
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"mobile_app_support_email": "support@example.com",
"mobile_app_support_number": "01234 567890",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true
},
"name": "Gareth Thompson",
"role": "client",
"tags": [
{
"name": "Mortgage",
"slug": "mortgage",
"uuid": "918d8e13-76e3-4cf2-bdec-24327cc7b811",
"colour": "#ef4582",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00"
}
],
"type": "client",
"uuid": "eebec5ca-2ed7-49f4-8e94-42e9082858a6",
"email": "gareth@codepotato.co.uk",
"groups": [
{
"name": "finance",
"slug": "finance",
"uuid": "d9f8557a-5a80-4c67-aadc-2f566ce6c7f3",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"participants": {
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"uuid": {
"example": "fd3d71d6-290f-4ac4-8c29-f2d252f6bf25",
"description": "UUID of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
}
},
"participants_count": "3"
}
],
"owners": [
{
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "f13c8f47-67a8-4b7c-894a-1d4c990aa9d3",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
}
],
"circles": [
{
"name": "Jones Family",
"uuid": "4bf7fc54-0ace-4bd6-b14e-4d1cb486ef6c",
"groups": "App\\Http\\Resources\\GroupResource",
"accounts": "App\\Http\\Resources\\AccountResource",
"bg_colour": "#35f4e1",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"joint_account_uuid": "890cca76-548c-4dbb-ba09-16d2a6b4c8b2",
"login_access_level": "write",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
}
],
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": [
{
"name": "Favourite Drink",
"type": "string",
"uuid": "028c6477-04ff-4a22-b932-4b2a791b862f",
"value": "Coffee",
"help_text": "This is the client's favourite drink.",
"reference": "favourite_drink",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"is_required": false,
"selection_options": [
"Coffee",
"Tea",
"Water"
]
}
],
"introduced_by": {
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "415eb8f3-8ccd-4c22-928e-d0f21b42a1f6",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
},
"primary_email": {
"name": "Work number",
"type": "phone_number",
"uuid": "d47b81ec-fe12-4c69-8e31-1694f0545ba0",
"value": "+443330903630",
"accounts": "App\\Http\\Resources\\AccountResource",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": {
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "058db1a2-36bd-4e8c-9ec0-29056c876f00",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
},
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": {
"name": "Research",
"uuid": "2b93b908-5e35-451a-b9b0-7e274ea95a54",
"account": "App\\Http\\Resources\\MinimalAccountResource",
"end_date": "2026-03-20T13:03:15+00:00",
"is_active": true,
"trackable": "App\\Http\\Resources\\MinimalAccountResource",
"created_at": "2026-03-20T13:25:15+00:00",
"start_date": "2026-03-20T12:35:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"description": "This is a description.",
"trackable_type": "Client",
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": [
{
"uuid": "a507b956-0542-44aa-928a-b4b53b601a04",
"reference": "AB123456",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"third_party": "nucleus"
}
],
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": {
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "aa756816-2fc7-4777-8b73-ac0643bac2f6",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
},
"joint_account_circle": {
"name": "Jones Family",
"uuid": "8bcecb46-17e9-465b-9b67-b9019d452da0",
"groups": "App\\Http\\Resources\\GroupResource",
"accounts": "App\\Http\\Resources\\AccountResource",
"bg_colour": "#35f4e1",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"joint_account_uuid": "6d00f2d1-1485-4ade-832e-c973a04c36ca",
"login_access_level": "write",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
},
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": {
"name": "Work number",
"type": "phone_number",
"uuid": "fbde9642-9e60-4229-a5ac-ea8b1815936e",
"value": "+443330903630",
"accounts": "App\\Http\\Resources\\AccountResource",
"created_at": "2026-03-20T13:25:15+00:00",
"updated_at": "2026-03-20T13:25:15+00:00",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"assigned_administrator": {
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "2d1a90ad-876b-402b-933e-940a7c4ce3c6",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-03-20T13:25:15+00:00",
"first_name": "Gareth",
"updated_at": "2026-03-20T13:25:15+00:00",
"with_login": true,
"inactive_at": "2026-03-20",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-03-20T13:25:15+00:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-03-20T13:25:15+00:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-03-20 13:25:15",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-03-20T13:25:15+00:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
},
"anniversary_review_date": "2026-03-20T13:25:15+00:00"
}